Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.fibheap
Class FibNodeObj

    java.lang.Object
      mauda.plugin.fibheap.FibNodeObj

    public class FibNodeObj

extends java.lang.Object

Relevance: Animation programmer
Since: 0.951, version 0.99rc1
Implementation of the `LabelledNodeItem` interface (which is a sub-interface of `NodeItem`).

A `NodeObj` consists of an `OvalObj` and three `TextObj` instances: the node visualizer and three different labels, one to the left, one in the center and one at the right of the node.

`FibNodeObj` instances do not have any other properties than these labels, especially don't they have a value or a balance.

Author:
  Martin Danielsson (modified by Tobias Lauer, Markus Krebs)
See Also:
  `NodeItem`, `LabelledNodeItem`, `SearchNodeObj`

Constructor Summary
`FibNodeObj(jedas.DPair pos)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Create a `NodeObj` instance with the given parameters.
`FibNodeObj(jedas.DPair pos, java.lang.String c)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Create a `NodeObj` instance with the given parameters.
`FibNodeObj(jedas.DPair pos, java.lang.String c, java.lang.String l, java.lang.String r)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Create a `NodeObj` instance with the given parameters.

Method Summary
`java.lang.String` | `getCenterLabel()` Relevance: Animation programmer Since: 0.951, version 0.99rc1
`java.awt.Color` | `getFillColor()`
`int` | `getHeight()` Relevance: Since: 0.951, version 0.99rc1
`double` | `getLeftDistance()` Relevance: Lib programmer Since: 0.951, version 0.99rc1
`java.lang.String` | `getLeftLabel()` Relevance: Animation programmer Since: 0.951, version 0.99rc1
`double` | `getRightDistance()` Relevance: Lib programmer Since: 0.951, version 0.99rc1
`java.lang.String` | `getRightLabel()` Relevance: Animation programmer Since: 0.951, version 0.99rc1
`jedas.trees.TreeNode` | `getTreeNode()` Relevance: Lib programmer Since: 0.99rc1, version 0.99rc1
`boolean` | `isFilled()`
`void` | `setCenterLabel(java.lang.String c)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Set the text of the center label.
`void` | `setFillColor(java.awt.Color color)`
`void` | `setFillColorTrans(java.awt.Color color)`
`void` | `setFilled(boolean b)`
`void` | `setFilledTrans(boolean b)`
`void` | `setHighlight(boolean b)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Highlight the `NodeObj`.
`void` | `setLeftLabel(java.lang.String l)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Set the text of the left label.
`void` | `setRightLabel(java.lang.String r)` Relevance: Animation programmer Since: 0.951, version 0.99rc1 Set the text of the left label.
`void` | `setTreeNode(jedas.trees.TreeNode treeNode)` Relevance: Lib internal Since: 0.99rc1, version 0.99rc1 Set the `TreeNode` instance this object is a visualizer for.
`java.lang.String` | `toString()` Relevance: Debugging Since: 0.951, version 0.99rc1

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FibNodeObj

    public FibNodeObj(jedas.DPair pos)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Create a `NodeObj` instance with the given parameters.

  Parameters:
    `pos` - the position of the object

### FibNodeObj

    public FibNodeObj(jedas.DPair pos,
                      java.lang.String c)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Create a `NodeObj` instance with the given parameters.

  Parameters:
    `pos` - the position of the object
    `c` - the `String` for the center label

### FibNodeObj

    public FibNodeObj(jedas.DPair pos,
                      java.lang.String c,
                      java.lang.String l,
                      java.lang.String r)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Create a `NodeObj` instance with the given parameters.

  Parameters:
    `pos` - the position of the object
    `c` - the `String` for the center label
    `l` - the `String` for the left label
    `r` - the `String` for the right label

Method Detail

### getLeftDistance

    public double getLeftDistance()

  Relevance: Lib programmer
  Since: 0.951, version 0.99rc1

  See Also:
    `NodeItem.getLeftDistance()`

### getRightDistance

    public double getRightDistance()

  Relevance: Lib programmer
  Since: 0.951, version 0.99rc1

  See Also:
    `NodeItem.getRightDistance()`

### setLeftLabel

    public void setLeftLabel(java.lang.String l)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Set the text of the left label.

  Parameters:
    `l` - the `String` for the left label

### getLeftLabel

    public java.lang.String getLeftLabel()

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1

  Returns:
    the text as a `String` of the left label

### setCenterLabel

    public void setCenterLabel(java.lang.String c)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Set the text of the center label.

  Parameters:
    `c` - the `String` for the center label

### getCenterLabel

    public java.lang.String getCenterLabel()

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1

  Returns:
    the text as a `String` of the center label

### setRightLabel

    public void setRightLabel(java.lang.String r)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Set the text of the left label.

  Parameters:
    `r` - the `String` for the right label

### getRightLabel

    public java.lang.String getRightLabel()

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1

  Returns:
    the text as a `String` of the right label

### setHighlight

    public void setHighlight(boolean b)

  Relevance: Animation programmer
  Since: 0.951, version 0.99rc1
  Highlight the `NodeObj`. This sets the background color of the `OvalObj` within this object.

  Parameters:
    `b` - if true, the color is set to light red (`0xffaaaa`), otherwise `Color.white`

### getHeight

    public int getHeight()

  Relevance:
  Since: 0.951, version 0.99rc1

  Returns:
    alawys `1`
  See Also:
    `NodeItem.getHeight()`

### setTreeNode

    public void setTreeNode(jedas.trees.TreeNode treeNode)

  Relevance: Lib internal
  Since: 0.99rc1, version 0.99rc1
  Set the `TreeNode` instance this object is a visualizer for. The reference is kept in a `transient` variable, and is thus not serialized on saving.

### getTreeNode

    public jedas.trees.TreeNode getTreeNode()

  Relevance: Lib programmer
  Since: 0.99rc1, version 0.99rc1

  Returns:
    the reference to the `TreeNode` this object belongs to, or `null` if in player mode or the object does not belong to a `TreeNode`.

### toString

    public java.lang.String toString()

  Relevance: Debugging
  Since: 0.951, version 0.99rc1

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    equivalent to `getName()+" `"+getCenterLabel()+"'"`

### setFillColor

    public void setFillColor(java.awt.Color color)

### setFillColorTrans

    public void setFillColorTrans(java.awt.Color color)

### getFillColor

    public java.awt.Color getFillColor()

### setFilled

    public void setFilled(boolean b)

### setFilledTrans

    public void setFilledTrans(boolean b)

### isFilled

    public boolean isFilled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD